net.sf.saxon.s9api

## Class SequenceType

- java.lang.Object
- - net.sf.saxon.s9api.SequenceType

-     public class SequenceType
      extends Object

  A SequenceType is the combination of an ItemType and an OccurrenceIndicator

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)` Test whether two SequenceType objects represent the same type
    `ItemType` | `getItemType()` Get the item type
    `OccurrenceIndicator` | `getOccurrenceIndicator()` Get the occurrence indicator
    `int` | `hashCode()` Get a hash code with semantics corresponding to the equals() method
    `static SequenceType` | `makeSequenceType(ItemType itemType, OccurrenceIndicator occurrenceIndicator)` Factory method to construct a SequenceType

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### makeSequenceType

          public static SequenceType makeSequenceType(ItemType itemType,
                                      OccurrenceIndicator occurrenceIndicator)

      Factory method to construct a SequenceType
      Parameters:
        `itemType` - the ItemType
        `occurrenceIndicator` - the permitted number of occurrences of the item in the sequence
      Returns:
        the constricted SequenceType

    - #### getItemType

          public ItemType getItemType()

      Get the item type
      Returns:
        the item type

    - #### getOccurrenceIndicator

          public OccurrenceIndicator getOccurrenceIndicator()

      Get the occurrence indicator
      Returns:
        the occurrence indicator

    - #### equals

          public final boolean equals(Object other)

      Test whether two SequenceType objects represent the same type
      Overrides:
        `equals` in class `Object`
      Parameters:
        `other` - the other SequenceType object
      Returns:
        true if the other object is a SequenceType representing the same type
      Since:
        9.5

    - #### hashCode

          public final int hashCode()

      Get a hash code with semantics corresponding to the equals() method
      Overrides:
        `hashCode` in class `Object`
      Returns:
        the hash code
      Since:
        9.5

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.